/******************************************************************************
File     : MyDebug.h
Author   : L. Shawn Matott
Copyright: 2013, L. Shawn Matott

Macros to aid in debugging.

Version History
01-29-2013  lsm   created
10-16-2014  lsm   Replaced with function calls.
******************************************************************************/
#ifndef MY_DEBUG_H
#define MY_DEBUG_H

void DBG_PRINT(const char *a);
void NEW_PRINT(const char *a, int b);

#if DBG_LEVEL >= 1
  #include <stdio.h>
  #undef DBG_PRINT
  #define DBG_PRINT(a) printf("%s\n", a);
#endif

#if DBG_LEVEL >= 2
  #undef NEW_PRINT
  #define NEW_PRINT(a, b) printf("new %s[%d]\n", a, b);
#endif

#endif /* MY_DEBUG_H */



